import request from '@/utils/request'

// 查询续期记录列表
export function listCsRenewalRecord(query) {
  return request({
    url: '/cs/csRenewalRecord/list',
    method: 'get',
    params: query
  })
}

// 查询续期记录详细
export function getCsRenewalRecord(renewalRecordId) {
  return request({
    url: '/cs/csRenewalRecord/' + renewalRecordId,
    method: 'get'
  })
}

// 新增续期记录
export function addCsRenewalRecord(data) {
  return request({
    url: '/cs/csRenewalRecord',
    method: 'post',
    data: data
  })
}

// 修改续期记录
export function updateCsRenewalRecord(data) {
  return request({
    url: '/cs/csRenewalRecord',
    method: 'put',
    data: data
  })
}

// 删除续期记录
export function delCsRenewalRecord(renewalRecordId) {
  return request({
    url: '/cs/csRenewalRecord/' + renewalRecordId,
    method: 'delete'
  })
}
